Orq MCP is live: Use natural language to interrogate traces, spot regressions, and experiment your way to optimal AI configurations. Available in Claude Desktop, Claude Code, Cursor, and more. Start now →
Creates a new routing rule with expression, models configuration, and priority settings.
curl --request POST \
--url https://api.orq.ai/v2/routing-rules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"display_name": "<string>",
"description": "<string>",
"enabled": true,
"priority": 1,
"project_id": "<string>"
}
'{
"_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by_id": "<string>",
"display_name": "<string>",
"enabled": true,
"priority": 1,
"project_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"updated_by_id": "<string>",
"description": "<string>",
"expression": {
"cel": "<string>",
"config": {}
},
"models_config": {
"mode": "fallback",
"models": [
{
"model": "<string>",
"integration_id": "<string>",
"weight": 0.5
}
]
}
}Documentation Index
Fetch the complete documentation index at: https://docs.orq.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
1 - 2562048Show child attributes
Show child attributes
x >= 0Optional project ID. If null/omitted, the entity is global (workspace-wide).
Routing rule created successfully
1 - 256x >= 02048Show child attributes
Show child attributes
Was this page helpful?
curl --request POST \
--url https://api.orq.ai/v2/routing-rules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"display_name": "<string>",
"description": "<string>",
"enabled": true,
"priority": 1,
"project_id": "<string>"
}
'{
"_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by_id": "<string>",
"display_name": "<string>",
"enabled": true,
"priority": 1,
"project_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"updated_by_id": "<string>",
"description": "<string>",
"expression": {
"cel": "<string>",
"config": {}
},
"models_config": {
"mode": "fallback",
"models": [
{
"model": "<string>",
"integration_id": "<string>",
"weight": 0.5
}
]
}
}